{"openapi":"3.0.3","info":{"title":"ShaBaasPay Public API","version":"1.0.0","description":"Describes public REST endpoints for authorization, payment agreements, payment initiations,\nrefunds, webhooks, and PayID collection APIs.\n"},"servers":[{"url":"https://dev-api.shabaas.com","description":"Staging"},{"url":"https://api.shabaas.com","description":"Production"}],"tags":[{"name":"B2B Collections","x-displayName":"B2B Collections","description":"Create inbound PayID collections, verify PayID status, and Bookkeeper API payout\nwith optional split retain on the business ledger.\n"}],"x-tagGroups":[{"name":"SHABAASPAY PUBLIC API","tags":["API Keys","Payment Agreement","Payment Initiation","Checkout","B2B Collections","Webhooks"]},{"name":"Internal","tags":["Clients"]}],"security":[{"BearerAuth":[]}],"paths":{"/api/v1/collections/payid/status":{"get":{"tags":["B2B Collections"],"summary":"Verify PayID Payment Status by Exact Amount","description":"Retrieve status for a previously created PayID collection.\n\n### Error Codes\n| Code | Status | Reason | What to do |\n| ---- | ------ | ------ | ---------- |\n| PAYID_NOT_FOUND | 404 | PayID record not found for this merchant | Verify `payid` and merchant authorization, then retry. |\n","security":[{"ApiKeyAuth":[]}],"parameters":[{"in":"query","name":"payid","required":true,"schema":{"type":"string"}},{"in":"query","name":"expected_amount","required":false,"schema":{"type":"number"}}],"responses":{"200":{"description":"PayID status returned","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessPayIdStatusResponse"}}}},"404":{"description":"PayID not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}},"components":{"schemas":{"SuccessPayIdStatusResponse":{"type":"object","properties":{"message":{"type":"string","example":"Payid status"},"data":{"type":"object","properties":{"status":{"type":"string","example":"PENDING"},"received_at":{"type":"string","nullable":true},"expected_amount":{"type":"number"},"received_amount":{"type":"number"}}}}},"ErrorResponse":{"type":"object","required":["message","error_code","data"],"properties":{"message":{"type":"string","example":"Payee account cannot receive NPP Payments"},"error_code":{"type":"string","example":"MOV_NPP_PAYMENT_NOT_SUPPORTED"},"data":{"type":"object","additionalProperties":true,"example":{"response_time":"2026-04-08T12:28:26.759Z"}}}}},"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Bearer token returned by `/api/public/authorization`."},"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Merchant API key in `Authorization` header."}}}}